"{ Package: 'stx:libbasic2' }"

"{ NameSpace: Smalltalk }"

SkipList subclass:#IdentitySkipList
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Ordered-Trees'
!

IdentitySkipList comment:'Like a SkipList, except that elements are compared with #== instead of #= .

See the comment of IdentitySet for more information.
'
!

!IdentitySkipList class methodsFor:'documentation'!

documentation
"
    Like a SkipList, except that elements are compared with #== instead of #= .

    See the comment of IdentitySet for more information.
"
! !

!IdentitySkipList methodsFor:'element comparison'!

is: element1 equalTo: element2
	^ element1 == element2
! !

!IdentitySkipList class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

